Skip to Content
inclamoDocs

Create contact inbox

POST
/api/v1/accounts/{account_id}/contacts/{id}/contact_inboxes

Create a contact inbox record for an inbox

Authorization

headerAuthorizationBearer <token>

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Path Parameters

account_id*integer

The numeric ID of the account

id*number

ID of the contact

Request Body

application/json
  1. body
inbox_id*number

The ID of the inbox

source_id?string

Contact Inbox Source Id

Response Body

Success

application/json
  1. response
source_id?string

Contact Inbox Source Id

inbox?
Example Request
curl -X POST 'https://helpdesk.inclamo.com/api/v1/accounts/0/contacts/0/contact_inboxes' \  -H 'Content-Type: application/json' \  -d '{  "inbox_id": 0}'
Example Response
{  "source_id": "string",  "inbox": {    "id": 0,    "avatar_url": "string",    "channel_id": 0,    "name": "string",    "channel_type": "string",    "provider": "string"  }}